package co.jp.springp0421.dogdemo.repository;

import co.jp.springp0421.dogdemo.entity.UserEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.Optional;

@Mapper
public interface UserRepository extends BaseMapper<UserEntity> {

    boolean existsByEmail(String Email);

    Optional<UserEntity> findByEmail(String Email);
}